Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.util
Class FacetSwitch<T>

    java.lang.Object
      org.eclipse.gmt.modisco.infra.facet.util.FacetSwitch<T>

    public class FacetSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `FacetPackage`

Constructor Summary
`FacetSwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseEAttribute(EAttribute object)` Returns the result of interpreting the object as an instance of 'EAttribute'.
`T` | `caseEClass(EClass object)` Returns the result of interpreting the object as an instance of 'EClass'.
`T` | `caseEClassifier(EClassifier object)` Returns the result of interpreting the object as an instance of 'EClassifier'.
`T` | `caseEModelElement(EModelElement object)` Returns the result of interpreting the object as an instance of 'EModel Element'.
`T` | `caseENamedElement(ENamedElement object)` Returns the result of interpreting the object as an instance of 'ENamed Element'.
`T` | `caseEPackage(EPackage object)` Returns the result of interpreting the object as an instance of 'EPackage'.
`T` | `caseEReference(EReference object)` Returns the result of interpreting the object as an instance of 'EReference'.
`T` | `caseEStructuralFeature(EStructuralFeature object)` Returns the result of interpreting the object as an instance of 'EStructural Feature'.
`T` | `caseETypedElement(ETypedElement object)` Returns the result of interpreting the object as an instance of 'ETyped Element'.
`T` | `caseFacet(Facet object)` Returns the result of interpreting the object as an instance of 'Facet'.
`T` | `caseFacetAttribute(FacetAttribute object)` Returns the result of interpreting the object as an instance of 'Attribute'.
`T` | `caseFacetReference(FacetReference object)` Returns the result of interpreting the object as an instance of 'Reference'.
`T` | `caseFacetSet(FacetSet object)` Returns the result of interpreting the object as an instance of 'Set'.
`T` | `caseFacetStructuralFeature(FacetStructuralFeature object)` Returns the result of interpreting the object as an instance of 'Structural Feature'.
`T` | `caseShortcut(Shortcut object)` Returns the result of interpreting the object as an instance of 'Shortcut'.
`T` | `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`T` | `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacetSwitch

    public FacetSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseFacet

    public T caseFacet(Facet object)

  Returns the result of interpreting the object as an instance of 'Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Facet'.
  See Also:
    `doSwitch(EObject)`

### caseFacetAttribute

    public T caseFacetAttribute(FacetAttribute object)

  Returns the result of interpreting the object as an instance of 'Attribute'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Attribute'.
  See Also:
    `doSwitch(EObject)`

### caseFacetReference

    public T caseFacetReference(FacetReference object)

  Returns the result of interpreting the object as an instance of 'Reference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Reference'.
  See Also:
    `doSwitch(EObject)`

### caseFacetStructuralFeature

    public T caseFacetStructuralFeature(FacetStructuralFeature object)

  Returns the result of interpreting the object as an instance of 'Structural Feature'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Structural Feature'.
  See Also:
    `doSwitch(EObject)`

### caseFacetSet

    public T caseFacetSet(FacetSet object)

  Returns the result of interpreting the object as an instance of 'Set'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Set'.
  See Also:
    `doSwitch(EObject)`

### caseShortcut

    public T caseShortcut(Shortcut object)

  Returns the result of interpreting the object as an instance of 'Shortcut'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Shortcut'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public T caseEModelElement(EModelElement object)

  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public T caseENamedElement(ENamedElement object)

  Returns the result of interpreting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseEClassifier

    public T caseEClassifier(EClassifier object)

  Returns the result of interpreting the object as an instance of 'EClassifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EClassifier'.
  See Also:
    `doSwitch(EObject)`

### caseEClass

    public T caseEClass(EClass object)

  Returns the result of interpreting the object as an instance of 'EClass'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EClass'.
  See Also:
    `doSwitch(EObject)`

### caseETypedElement

    public T caseETypedElement(ETypedElement object)

  Returns the result of interpreting the object as an instance of 'ETyped Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ETyped Element'.
  See Also:
    `doSwitch(EObject)`

### caseEStructuralFeature

    public T caseEStructuralFeature(EStructuralFeature object)

  Returns the result of interpreting the object as an instance of 'EStructural Feature'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EStructural Feature'.
  See Also:
    `doSwitch(EObject)`

### caseEAttribute

    public T caseEAttribute(EAttribute object)

  Returns the result of interpreting the object as an instance of 'EAttribute'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EAttribute'.
  See Also:
    `doSwitch(EObject)`

### caseEReference

    public T caseEReference(EReference object)

  Returns the result of interpreting the object as an instance of 'EReference'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EReference'.
  See Also:
    `doSwitch(EObject)`

### caseEPackage

    public T caseEPackage(EPackage object)

  Returns the result of interpreting the object as an instance of 'EPackage'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EPackage'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD